Method: zones.get

Returns the specified Zone resource.

HTTP request


GET https://compute.googleapis.com/compute/v1/projects/{project}/zones/{zone}

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
project

string

Project ID for this request.

zone

string

Name of the zone resource to return.

Request body

The request body must be empty.

Response body

Represents a Zone resource.

A zone is a deployment area. These deployment areas are subsets of a region. For example the zone us-east1-b is located in the us-east1 region. For more information, read Regions and Zones.

If successful, the response body contains data with the following structure:

JSON representation
{
  "kind": string,
  "id": string,
  "creationTimestamp": string,
  "name": string,
  "description": string,
  "status": enum,
  "deprecated": {
    "state": enum,
    "replacement": string,
    "deprecated": string,
    "obsolete": string,
    "deleted": string
  },
  "region": string,
  "selfLink": string,
  "availableCpuPlatforms": [
    string
  ],
  "supportsPzs": boolean,
  "resourceStatus": {
    "upcomingMaintenances": [
      {
        "type": enum,
        "subType": enum,
        "targetResource": string,
        "windowStartTime": {
          "year": integer,
          "month": integer,
          "day": integer,
          "hours": integer,
          "minutes": integer,
          "seconds": integer,
          "nanos": integer,
          "utcOffset": string,
          "timeZone": {
            "id": string,
            "version": string
          }
        },
        "windowEndTime": {
          "year": integer,
          "month": integer,
          "day": integer,
          "hours": integer,
          "minutes": integer,
          "seconds": integer,
          "nanos": integer,
          "utcOffset": string,
          "timeZone": {
            "id": string,
            "version": string
          }
        }
      }
    ]
  }
}
Fields
kind

string

Output only. Type of the resource. Always compute#zone for zones.

id

string (uint64 format)

Output only. The unique identifier for the resource. This identifier is defined by the server.

creationTimestamp

string

Output only. Creation timestamp in RFC3339 text format.

name

string

Output only. Name of the resource.

description

string

Output only. Textual description of the resource.

status

enum

Output only. Status of the zone, either UP or DOWN.

deprecated

object

Output only. The deprecation status associated with this zone.

deprecated.state

enum

The deprecation state of this resource. This can be ACTIVE, DEPRECATED, OBSOLETE, or DELETED. Operations which communicate the end of life date for an image, can use ACTIVE. Operations which create a new resource using a DEPRECATED resource will return successfully, but with a warning indicating the deprecated resource and recommending its replacement. Operations which use OBSOLETE or DELETED resources will be rejected and result in an error.

deprecated.replacement

string

The URL of the suggested replacement for a deprecated resource. The suggested replacement resource must be the same kind of resource as the deprecated resource.

deprecated.deprecated

string

An optional RFC3339 timestamp on or after which the state of this resource is intended to change to DEPRECATED. This is only informational and the status will not change unless the client explicitly changes it.

deprecated.obsolete

string

An optional RFC3339 timestamp on or after which the state of this resource is intended to change to OBSOLETE. This is only informational and the status will not change unless the client explicitly changes it.

deprecated.deleted

string

An optional RFC3339 timestamp on or after which the state of this resource is intended to change to DELETED. This is only informational and the status will not change unless the client explicitly changes it.

region

string

Output only. Full URL reference to the region which hosts the zone.

availableCpuPlatforms[]

string

Output only. Available cpu/platform selections for the zone.

supportsPzs

boolean

Output only. Reserved for future use.

Available from 2026-03-01..

resourceStatus

object

resourceStatus.upcomingMaintenances[]

object

Output only. The upcoming maintenance schedule.

resourceStatus.upcomingMaintenances[].type

enum

resourceStatus.upcomingMaintenances[].subType

enum

The maintenance type in which the zone is during the given window.

resourceStatus.upcomingMaintenances[].targetResource

string

The target resource that the maintenance window is for. For example, "projects/my-project/zones/us-central1-a".

resourceStatus.upcomingMaintenances[].windowStartTime

object

The start civil timestamp of the window. This contains a time zone.

resourceStatus.upcomingMaintenances[].windowStartTime.year

integer

Optional. Year of date. Must be from 1 to 9999, or 0 if specifying a datetime without a year.

resourceStatus.upcomingMaintenances[].windowStartTime.month

integer

Optional. Month of year. Must be from 1 to 12, or 0 if specifying a datetime without a month.

resourceStatus.upcomingMaintenances[].windowStartTime.day

integer

Optional. Day of month. Must be from 1 to 31 and valid for the year and month, or 0 if specifying a datetime without a day.

resourceStatus.upcomingMaintenances[].windowStartTime.hours

integer

Optional. Hours of day in 24 hour format. Should be from 0 to 23, defaults to 0 (midnight). An API may choose to allow the value "24:00:00" for scenarios like business closing time.

resourceStatus.upcomingMaintenances[].windowStartTime.minutes

integer

Optional. Minutes of hour of day. Must be from 0 to 59, defaults to 0.

resourceStatus.upcomingMaintenances[].windowStartTime.seconds

integer

Optional. Seconds of minutes of the time. Must normally be from 0 to 59, defaults to 0. An API may allow the value 60 if it allows leap-seconds.

resourceStatus.upcomingMaintenances[].windowStartTime.nanos

integer

Optional. Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999, defaults to 0.

resourceStatus.upcomingMaintenances[].windowStartTime.utcOffset

string (Duration format)

UTC offset. Must be whole seconds, between -18 hours and +18 hours. For example, a UTC offset of -4:00 would be represented as { seconds: -14400 }.

A duration in seconds with up to nine fractional digits, ending with 's'. Example: "3.5s".

resourceStatus.upcomingMaintenances[].windowStartTime.timeZone

object

Time zone.

resourceStatus.upcomingMaintenances[].windowStartTime.timeZone.id

string

IANA Time Zone Database time zone. For example "America/New_York".

resourceStatus.upcomingMaintenances[].windowStartTime.timeZone.version

string

Optional. IANA Time Zone Database version number. For example "2019a".

resourceStatus.upcomingMaintenances[].windowEndTime

object

The end civil timestamp of the window (not inclusive). This contains a time zone.

resourceStatus.upcomingMaintenances[].windowEndTime.year

integer

Optional. Year of date. Must be from 1 to 9999, or 0 if specifying a datetime without a year.

resourceStatus.upcomingMaintenances[].windowEndTime.month

integer

Optional. Month of year. Must be from 1 to 12, or 0 if specifying a datetime without a month.

resourceStatus.upcomingMaintenances[].windowEndTime.day

integer

Optional. Day of month. Must be from 1 to 31 and valid for the year and month, or 0 if specifying a datetime without a day.

resourceStatus.upcomingMaintenances[].windowEndTime.hours

integer

Optional. Hours of day in 24 hour format. Should be from 0 to 23, defaults to 0 (midnight). An API may choose to allow the value "24:00:00" for scenarios like business closing time.

resourceStatus.upcomingMaintenances[].windowEndTime.minutes

integer

Optional. Minutes of hour of day. Must be from 0 to 59, defaults to 0.

resourceStatus.upcomingMaintenances[].windowEndTime.seconds

integer

Optional. Seconds of minutes of the time. Must normally be from 0 to 59, defaults to 0. An API may allow the value 60 if it allows leap-seconds.

resourceStatus.upcomingMaintenances[].windowEndTime.nanos

integer

Optional. Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999, defaults to 0.

resourceStatus.upcomingMaintenances[].windowEndTime.utcOffset

string (Duration format)

UTC offset. Must be whole seconds, between -18 hours and +18 hours. For example, a UTC offset of -4:00 would be represented as { seconds: -14400 }.

A duration in seconds with up to nine fractional digits, ending with 's'. Example: "3.5s".

resourceStatus.upcomingMaintenances[].windowEndTime.timeZone

object

Time zone.

resourceStatus.upcomingMaintenances[].windowEndTime.timeZone.id

string

IANA Time Zone Database time zone. For example "America/New_York".

resourceStatus.upcomingMaintenances[].windowEndTime.timeZone.version

string

Optional. IANA Time Zone Database version number. For example "2019a".

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/compute.readonly
  • https://www.googleapis.com/auth/compute
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:

  • compute.zones.get

To find predefined roles that contain those permissions, see Compute Engine IAM Roles.